
$bottom-row-height:130px;

.cart-slideout{
    border-left:1px solid $grey-light;


    &__title,
    &__bottom{
        position:sticky;
        background:$white;
    }

    &__title{
        top:0;
    }

    &__bottom{
        bottom:0;
        
        @include sm{
            position:fixed;
            max-width: $slideout-width;
            width:100%;
            height:$bottom-row-height;
        }
    }

    &__product-list{
        @include sm{
            padding-bottom:$bottom-row-height;
        }
    }

    &__title{
        font-size:2rem;
        text-transform:uppercase;
        
        padding:1rem;
        padding-right:4rem;

        border-bottom:1px solid $grey-light;
    }

    &__close{
        position:absolute;
        top:0;
        right:0;

        padding:1rem;

        font-size:3rem;
        line-height: 20px;

        cursor:pointer;
    }

    &__product{
        @include flex;
        
        padding:1rem;
        
        font-size:1.4rem;

        .slideout-product{
            &__image{
                width:30%;
            }

            &__data{
                @include flex($dir: column, $just: center);

                flex-grow:1;

                padding-left:1.5rem;
            }

            &__title,
            &__color,
            &__size,
            &__quantity{
                margin-bottom:.5rem;
                font-weight: 300;
            }

            &__title{
                font-weight: 400;
            }

            &__bottom{
                @include flex($just: space-between);
            }
        }
    }

    &__total{
        @include flex($just: flex-end, $align: center);

        margin-top:1rem;

        padding:1.5rem 1rem;

        font-size:1.4rem;

        border-top:1px solid $grey-light;
    }

    &__total-price{
        font-size:1.8rem;

        margin-left:1rem;
    }

    &__button{
        padding:1rem;

        .button{
            width:100%;
        }
    }

    .loader{
        display:block;

        margin:3rem auto;
    }
}